com.thinkaurelius.titan.graphdb.internal

## Enum ElementLifeCycle.Event

- java.lang.Object
- - java.lang.Enum<ElementLifeCycle.Event>
  - - com.thinkaurelius.titan.graphdb.internal.ElementLifeCycle.Event

- All Implemented Interfaces:
    Serializable, Comparable<ElementLifeCycle.Event>
  Enclosing class:
    ElementLifeCycle

      public static enum ElementLifeCycle.Event
      extends Enum<ElementLifeCycle.Event>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ADDED_RELATION`
    `REMOVED`
    `REMOVED_RELATION`
    `UPDATE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ElementLifeCycle.Event` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ElementLifeCycle.Event[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### REMOVED

          public static final ElementLifeCycle.Event REMOVED

    - #### REMOVED_RELATION

          public static final ElementLifeCycle.Event REMOVED_RELATION

    - #### ADDED_RELATION

          public static final ElementLifeCycle.Event ADDED_RELATION

    - #### UPDATE

          public static final ElementLifeCycle.Event UPDATE

  - ### Method Detail

    - #### values

          public static ElementLifeCycle.Event[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ElementLifeCycle.Event c : ElementLifeCycle.Event.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ElementLifeCycle.Event valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2012–2014. All rights reserved.